## dphys-config 20061020

=== Makefile ===
# http://www.phys.ethz.ch/~franklin/Projects/dphys-config/Makefile
# author/generator Neil Franklin using makesourcepackage script,
#   last modification/generation 2005.10.12
# This Makefile is copyright ETH Zuerich Physics Departement,
#   use under either modified/non-advertising BSD or GPL license

# --- various site dependant user config variables

# for creating an <program>[-<version>].tar.gz archive
DIR = dphys-config


# --- no user configurable stuff below here

# /usr/local added for FreeBSD, because their ports end up in there
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin

PREFIX  = $(DESTDIR)/usr
BINDIR  = $(PREFIX)/bin
LIBDIR  = $(PREFIX)/lib/dphys-config
SBINDIR = $(PREFIX)/sbin
MAN1DIR = $(PREFIX)/share/man/man1
MAN7DIR = $(PREFIX)/share/man/man7
MAN8DIR = $(PREFIX)/share/man/man8
DOCDIR  = $(PREFIX)/share/doc/dphys-config
EXADIR  = $(DOCDIR)/examples


# --- code for acting out the various  make  targets

all:
	@# man pages need making and deleting of compressed versions
	@gzip -9 -c dphys-config.1 > dphys-config.1.gz

clean:
	@rm -f dphys-config.1.gz

distclean: clean

install:
	@# programs and man pages need installing to and deleting from system
	@mkdir -p $(BINDIR)
	@cp -p dphys-config          $(BINDIR)

	@mkdir -p $(MAN1DIR)
	@cp -p dphys-config.1.gz     $(MAN1DIR)

	@mkdir -p $(EXADIR)
	@cp -p  dphys-config.example  $(EXADIR)
	@cp -pr site.example          $(EXADIR)
	@cp -p  cron.d.example        $(EXADIR)
	@cp -p  init.d.example        $(EXADIR)

uninstall:
	@rm -f  $(EXADIR)/init.d.example
	@rm -f  $(EXADIR)/cron.d.example
	@rm -rf $(EXADIR)/site.example
	@rm -f  $(EXADIR)/dphys-config.example
	@rmdir $(EXADIR)

	@rm -f $(MAN1DIR)/dphys-config.1.gz

	@rm -f $(BINDIR)/dphys-config


# --- project management stuff

.PHONY: tar
tar:

	@# package this project into an .tar.gz for one nice download
	@echo packaging source and doc files into an .tar.gz ...
	@(cd ..; tar zcf $(DIR).tar.gz \
	  $(DIR)/FAQ $(DIR)/INSTALL $(DIR)/Logfile $(DIR)/Makefile \
	  $(DIR)/README $(DIR)/cron.d.example $(DIR)/dphys-config \
	  $(DIR)/dphys-config.1 $(DIR)/dphys-config.example \
	  $(DIR)/index.html.de $(DIR)/index.html.en \
	  $(DIR)/init.d.example $(DIR)/site.example )

## dphys-config 20090926

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,12 @@
-# http://www.phys.ethz.ch/~franklin/Projects/dphys-config/Makefile
-# author/generator Neil Franklin using makesourcepackage script,
-#   last modification/generation 2005.10.12
+# http://neil.franklin.ch/Projects/dphys-config/Makefile
+# author Neil Franklin, last modification 2009.09.26
 # This Makefile is copyright ETH Zuerich Physics Departement,
 #   use under either modified/non-advertising BSD or GPL license
 
 # --- various site dependant user config variables
 
 # for creating an <program>[-<version>].tar.gz archive
-DIR = dphys-config
+DIR = dphys-config-20090926
 
 
 # --- no user configurable stuff below here

## dphys-config 20100216

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # http://neil.franklin.ch/Projects/dphys-config/Makefile
-# author Neil Franklin, last modification 2009.09.26
+# author Neil Franklin, last modification 2010.02.16
 # This Makefile is copyright ETH Zuerich Physics Departement,
 #   use under either modified/non-advertising BSD or GPL license
 
 # --- various site dependant user config variables
 
 # for creating an <program>[-<version>].tar.gz archive
-DIR = dphys-config-20090926
+DIR = dphys-config-20100216
 
 
 # --- no user configurable stuff below here

## dphys-config 20130301~current

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # http://neil.franklin.ch/Projects/dphys-config/Makefile
-# author Neil Franklin, last modification 2010.02.16
+# author Neil Franklin, last modification 2005.12.22
 # This Makefile is copyright ETH Zuerich Physics Departement,
 #   use under either modified/non-advertising BSD or GPL license
 
 # --- various site dependant user config variables
 
 # for creating an <program>[-<version>].tar.gz archive
-DIR = dphys-config-20100216
+DIR = dphys-config
 
 
 # --- no user configurable stuff below here

=== debian/changelog ===
dphys-config (20130301~current-6) unstable; urgency=medium

  * Update Vcs-* headers for move to Salsa.
  * Bump debhelper compatibility level to 13.
    + Build-depend on "debhelper-compat (= 13)" to replace debian/compat.
  * Declare compliance with Debian Policy 4.4.1.
    + debian/copyright: Use HTTPS in format URL.
  * Bump debian/watch version from 3 to 4. Thanks Lintian!
  * Set "Rules-Requires-Root: no".
  * Rename lintian overrides as needed.
  * Add a DEP-12 debian/upstream/metadata file.
  * Improve DEP-3 patch headers a bit.
  * Bump packaging copyright years in debian/copyright.

 -- Axel Beckert <abe@debian.org>  Sat, 02 Jan 2021 05:02:48 +0100

dphys-config (20130301~current-5) unstable; urgency=medium

  * Add versioned dependency on lsb-base for using /lib/lsb/init-functions
    in the init script.
  * Add patch to fix real typos in man page found by lintian.
  * Pretty up package description to mention that it's running on the
    client side.

 -- Axel Beckert <abe@debian.org>  Mon, 16 Jan 2017 01:32:34 +0100

dphys-config (20130301~current-4) unstable; urgency=medium

  * Add patch to fix preprocessing in case of empty results.

 -- Axel Beckert <abe@debian.org>  Tue, 07 Jun 2016 18:27:42 +0200

dphys-config (20130301~current-3) unstable; urgency=medium

  * debian/patches/hobbit-support.diff: Also check for existence of
    /etc/default/xymon-client.
  * Move packaging git repository from GitHub to Alioth.
  * Declare compliance with Debian Policy 3.9.8. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Tue, 03 May 2016 16:47:59 +0200

dphys-config (20130301~current-2) unstable; urgency=low

  * Add missing optional dependencies introduced by
    debian/patches/interactive.diff.
  * Declare compliance with Debian Policy 3.9.7. (No changes needed.)
  * debian/copyright:
    + Remove obsolete reverse-dphys-config paragraph.
    + Convert to machine-readable DEP5 format.
    + Update copyright years and e-mail addresses.
    + Remove no more existing download URL for examples.
  * Add patch to properly handle backticks in the output of a command
    executed via the backtick preprocessor. (Closes: #780273)
  * Add patch to support wget 1.17 when being used with -N/--timestamping
    option. (Closes: #819557)
  * Switch Vcs-Git header from git:// to https://.
  * Add lintian-override for accused misspelling "allways".

 -- Axel Beckert <abe@debian.org>  Wed, 30 Mar 2016 15:47:47 +0200

dphys-config (20130301~current-1) unstable; urgency=low

  * New upstream snapshot
    + Refresh patches hobbit-support and interactive.
  * Upload to unstable again

  [ Elmar S. Heeb ]
  * do not start init script on install/upgrade

  [ Axel Beckert ]
  * Add patch to be able to escape colons in file names.
  * Fix lintian warning init.d-script-does-not-source-init-functions
  * Bump Standards-Version to 3.9.4 (no changes)
  * Remove reverse-dphys-config again. The interactive patch by Claude
    suits the purpose far better, hence reverse-dphys-config is no more
    supported.
    + Drop build-dependency on help2man and no more suggest SSH clients
  * Apply wrap-and-sort
  * Set the distribution of some previous changelog entries (20100216-3 to
    -6) to "UNRELEASED" to clarify that these releases haven't been
    uploaded to Debian.
  * Rename debian/dphys-config.lintian-overrides to
    debian/lintian-overrides for consistency.
  * Bump Standards-Version to 3.9.5 (no changes).

 -- Axel Beckert <abe@debian.org>  Thu, 05 Dec 2013 01:53:37 +0100

dphys-config (20130111~current-1) experimental; urgency=low

  * New upstream snapshot
    + Remove patches downgrade-download-warning.diff and
      fix-backtick-quoting.diff, applied upstream.
    + Refresh the remaining patches.
  * Remove diff+install commandline options due to non-unique letters.
  * Clean up debian/rules, use dh style rules.
  * Use dh-exec to be able to rename files and hence drop the
    override_dh_install and override_dh_installchangelogs targets.
    + Add a versioned build-dependency on dh-exec >= 0.6 (due to #698017).
    + Add a #!dh-exec shebang line to debian/install, make it executable.
    + Bump debhelper compatibility and build-dependency to 9.
  * Fix traps in hobbit-support.diff if $HOBBITSERVERS is not defined.
  * Switch Vcs-* headers to GitHub.
  * Remove superfluous whitespace change in hobbit-support.diff

 -- Axel Beckert <abe@debian.org>  Mon, 11 Feb 2013 20:01:01 +0100

dphys-config (20100216-6) UNRELEASED; urgency=low

  * fix backtick preprocessing to allow commands with arguments

 -- Elmar S. Heeb <elmar@heebs.ch>  Thu, 10 Jan 2013 15:49:52 +0100

dphys-config (20100216-5) UNRELEASED; urgency=low

  * added default stop runlevels in init.d

 -- Elmar S. Heeb <elmar@heebs.ch>  Thu, 10 Jan 2013 14:28:30 +0100

dphys-config (20100216-4) UNRELEASED; urgency=low

  * downgrade download warnings from WARNING to INFO
  * added Elmar S. Heeb <elmar@heebs.ch> to uploaders

 -- Elmar S. Heeb <elmar@heebs.ch>  Thu, 10 Jan 2013 12:43:55 +0100

dphys-config (20100216-3) UNRELEASED; urgency=low

  * Add feature patch for Interactive and Diff mode by Claude Becker.
    + Mention Hobbit/Xymon reporting and Interactive mode in the long
      description.
  * Fix Hobbit/Xymon reporting to not send "green" reports on --help.
  * Switch to source format "3.0 (quilt)"
    + Remove quilt build-dependency as well as patch and unpatch targets
  * Fix lintian warning "init.d-script-does-not-implement-optional-option
    status"
  * Bump Standards-Version to 3.9.3 (no changes)

 -- Axel Beckert <abe@debian.org>  Wed, 15 Aug 2012 20:37:53 +0200

dphys-config (20100216-2) UNRELEASED; urgency=low

  * Add new script reverse-dphys-config
    + build-depend on help2man for its manpage
    + suggest openssh-client | ssh-client
  * debian/rules: replace mkdir + cp by install -D
  * debian/copyright:
    + Remove obsolete copyright of findcdroms.c (no more included upstream
      since 20090926)


=== debian/control ===
Source: dphys-config
Section: admin
Priority: optional
Maintainer: Axel Beckert <abe@debian.org>
Uploaders: Elmar S. Heeb <elmar@heebs.ch>
Build-Depends: debhelper-compat (= 13),
               dh-exec (>= 0.6)
Standards-Version: 4.4.1
Homepage: http://neil.franklin.ch/Projects/dphys-config/
Vcs-Browser: https://salsa.debian.org/debian/dphys-config
Vcs-Git: https://salsa.debian.org/debian/dphys-config.git
Rules-Requires-Root: no

Package: dphys-config
Architecture: all
Depends: dash,
         lsb-base (>= 3.0-6),
         wget,
         ${misc:Depends}
Suggests: colordiff,
          dwdiff,
          pciutils,
          wdiff
Enhances: hobbit-client,
          xymon-client
Description: Tool to distribute config files by fetching them
 This project is aimed at automatically installing (and keeping
 update) site specific config files on many hosts, after preprocessing
 them (conditional content and include files and include sections).
 .
 It's installed on the client receiving the configuration files and
 fetches them regularly via cron-jobs or on demand from the
 commandline.
 .
 It also triggers postinstall scripts whenever their associated config
 file has been changed. It can also remove config files, including
 running an preremove script before doing so. All this is driven by an
 simple config file list.
 .
 dphys-config is capable of reporting update failure or success to a
 Xymon (formerly Hobbit) monitoring server.
 .
 dphys-config features an interactive mode and a non-interactive diff
 mode to check what would be updated.

=== debian/watch ===
version=4
http://neil.franklin.ch/Projects/dphys-config/ ../dphys-config-(\d{8}.*)\.tar\.gz
